Package org.h2.util.json

# Class JSONBoolean

java.lang.Object
org.h2.util.json.JSONValue
org.h2.util.json.JSONBoolean

public final class JSONBoolean extends JSONValue
JSON boolean.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final JSONBoolean`
`FALSE`
`false` value.
`static final JSONBoolean`
`TRUE`
`true` value.

## Method Summary

Modifier and Type
Method
Description
`void`
`addTo(JSONTarget<?> target)`
Appends this value to the specified target.
`boolean`
`getBoolean()`
Returns the value.

### Methods inherited from class org.h2.util.json.JSONValue

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### FALSE

public static final JSONBoolean FALSE
`false` value.

### TRUE

public static final JSONBoolean TRUE
`true` value.

## Method Details

### addTo

public void addTo(JSONTarget<?> target)
Description copied from class: `JSONValue`
Appends this value to the specified target.

Specified by:
  `addTo` in class `JSONValue`
Parameters:
  `target` - the target

### getBoolean

public boolean getBoolean()
Returns the value.

Returns:
  the value